summaryrefslogtreecommitdiffstats
path: root/rtems-release-kernel
diff options
context:
space:
mode:
authorChris Johns <chrisj@rtems.org>2016-09-04 10:45:52 +1000
committerChris Johns <chrisj@rtems.org>2016-09-04 10:45:52 +1000
commit97cc04c881c7d4333803a2661fe8bb2b4c296a59 (patch)
tree6a59a126d6679e01167a59a88e2792764a0c1b57 /rtems-release-kernel
downloadrtems-release-97cc04c881c7d4333803a2661fe8bb2b4c296a59.tar.bz2
Initial addition of the RTEMS releasing scripts.
Diffstat (limited to 'rtems-release-kernel')
-rwxr-xr-xrtems-release-kernel106
1 files changed, 106 insertions, 0 deletions
diff --git a/rtems-release-kernel b/rtems-release-kernel
new file mode 100755
index 0000000..a50cc86
--- /dev/null
+++ b/rtems-release-kernel
@@ -0,0 +1,106 @@
+#! /bin/sh
+#
+# RTEMS Tools Project (http://www.rtems.org/)
+# Copyright 2015-2016 Chris Johns (chrisj@rtems.org)
+# All rights reserved.
+#
+# This file is part of the RTEMS Tools package in 'rtems-tools'.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are met:
+#
+# 1. Redistributions of source code must retain the above copyright notice,
+# this list of conditions and the following disclaimer.
+#
+# 2. Redistributions in binary form must reproduce the above copyright notice,
+# this list of conditions and the following disclaimer in the documentation
+# and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
+# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
+# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+# POSSIBILITY OF SUCH DAMAGE.
+#
+
+#
+# This worker script bootstraps the RTEMS kernel.
+#
+echo "RTEMS Release RTEMS Kernel, v0.1"
+
+#
+# Stop on any error
+#
+set -e
+
+#
+# Keep the top where we start.
+#
+top=${PWD}
+
+#
+# The package, version and revision.
+#
+if [ $# -ne 4 ]; then
+ echo "error: must be arguments, the package, version," \
+ "release and the top directory."
+ exit 1
+fi
+package=$1
+version=$2
+revision=$3
+toptop=$4
+
+release=${version}.${revision}
+prefix=${package}-${release}
+
+echo "Package: ${package}"
+echo "Release: ${release}"
+
+#
+# Unpack the released RSB.
+#
+rsb=rtems-source-builder-${release}
+echo "tar Jxf ../${rsb}.tar.xz"
+tar Jxf ../${rsb}.tar.xz
+
+#
+# Build autoconf and automake.
+#
+cd ${rsb}/rtems
+../source-builder/sb-set-builder --without-release-url \
+ --prefix=${top}/at ${version}/rtems-autotools
+cd ../..
+
+#
+# Set the path to the autotools.
+#
+export XPATH=$PATH
+export PATH=${top}/at/bin:$PATH
+
+#
+# Bootstrap RTEMS.
+#
+echo "Bootstrapping RTEMS"
+cd ${prefix}
+./bootstrap -c
+./bootstrap -p
+${top}/${rsb}/source-builder/sb-bootstrap
+./rtems-bsps > ARCH-BSP.txt
+cp ARCH-BSP.txt ${toptop}
+cd ..
+
+#
+# Clean up.
+#
+rm -rf ${rsb} ${at}
+
+echo "Bootstrap complete."
+
+exit 0